#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries

Summary:	GObject-based XIM protocol library
Summary(pl.UTF-8):	Biblioteka protokołu XIM oparta na GObject
Name:		libgxim
Version:	0.5.0
Release:	8
License:	LGPL v2+
Group:		Libraries
Source0:	http://bitbucket.org/tagoh/libgxim/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	4bb1fa63d00eb224439d413591c29a6a
Patch0:		format-security.patch
URL:		http://tagoh.bitbucket.org/libgxim/
BuildRequires:	dbus-devel >= 0.23
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	gtk+2-devel >= 2:2.2.0
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	ruby
BuildRequires:	xorg-lib-libX11-devel
Requires:	dbus-libs >= 0.23
Requires:	dbus-glib >= 0.74
Requires:	glib2 >= 1:2.32.0
Requires:	gtk+2 >= 2:2.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgxim is a X Input Method protocol library that is implemented by
GObject. This library helps you to implement XIM servers or client
applications to communicate through XIM protocol without using Xlib
API directly, particularly if your application uses GObject-based main
loop.

%description -l pl.UTF-8
libgxim to biblioteka protokołu X Input Method zaimplementowana w
oparciu o GObject. Biblioteka ta pozwala na implementowanie serwerów
lub aplikacji klienckich XIM komunikających się przy użyciu protokołu
XIM bez używania bezpośrednio API Xlib, w szczególności kiedy
aplikacja wykorzystuje główną pętlę opartą na GObject.

%package devel
Summary:	Header files for libgxim library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgxim
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= 0.23
Requires:	dbus-glib-devel >= 0.74
Requires:	glib2-devel >= 1:2.32.0
Requires:	gtk+2-devel >= 2:2.2.0

%description devel
Header files for libgxim library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgxim.

%package static
Summary:	Static libgxim library
Summary(pl.UTF-8):	Statyczna biblioteka libgxim
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libgxim library.

%description static -l pl.UTF-8
Statyczna biblioteka libgxim.

%package apidocs
Summary:	libgxim API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgxim
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API and internal documentation for libgxim library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgxim.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

# only empty translations exist (as of 0.5.0)
#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

#%files -f %{name}.lang
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgxim.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgxim.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgxim.so
%{_includedir}/libgxim
%{_pkgconfigdir}/libgxim.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgxim.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgxim
%endif
%changelog
* Mon Apr 20 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgxim.git;a=log;h=master

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> 2309fd3
- rebuild with libffi 3.3
- release 8 (by relup.sh)

* Sat Mar 28 2015 Elan Ruusamäe <glen@delfi.ee> da3c5df
- noarch apidocs

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 4364cef
- x32 rebuild
- release 6 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> bc794ac
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> a67eef1
- libffi rebuild
- release 5 (by relup.sh)

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> fdd433f
- release 4 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7691512
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 424f917
- release 2 (by relup.sh)

* Thu Jul 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 286cc04
- cleanup, updated dependencies

* Mon Jul 15 2013 Jan Rękorajski <baggins@pld-linux.org> 9e5ff70
- up to 0.5.0

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 7d23d93
- rel 2

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> f859bcc
- fix format string error

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> ba0ce30
- updated to 0.4.0 (note: new soname)
- removed obsolete fix-fontset patch

* Sun Nov 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 1da6271
- pl
- versioned install time dependencies

* Sun Jul 17 2011 Jan Rękorajski <baggins@pld-linux.org> e0618ce
- initial revision

